import 'package:json_annotation/json_annotation.dart';
import 'membership_level_model.dart';

part 'membership_info_response.g.dart';
@JsonSerializable()
class MembershipInfoResponse {
  final List<MembershipLevelModel>? levels;

  @JsonKey(name: 'membership_rule')
  final String? membershipRule;

  MembershipInfoResponse({
      this.levels,
      this.membershipRule,
    });
  factory MembershipInfoResponse.fromJson(Map<String, dynamic> json) =>
      _$MembershipInfoResponseFromJson(json);
  Map<String, dynamic> toJson() => _$MembershipInfoResponseToJson(this);
}
